ORA-28040 Error with Oracle 12.2.0.1

Discussion of open issues, suggestions and bugs regarding ADO.NET provider for Oracle
Post Reply
John Liu
Posts: 61
Joined: Wed 14 Nov 2012 20:58

ORA-28040 Error with Oracle 12.2.0.1

Post by John Liu » Wed 10 Jan 2018 18:20

We were using dotConnect for Oracle 9.2 to work with Oracle 12.1.0.2 in direct connect mode, everything worked great. We recently upgraded our oracle server to 12.2.0.1, and then got the following error when trying to connect to the database.
ORA-28040: No matching authentication protocol

thanks
John

Pinturiccio
Devart Team
Posts: 2192
Joined: Wed 02 Nov 2011 09:44

Re: ORA-28040 Error with Oracle 12.2.0.1

Post by Pinturiccio » Fri 12 Jan 2018 15:47

Oracle 12c authentication in the Direct mode is supported starting from dotConnect for Oracle 9.2.220. For more information, please refer to https://www.devart.com/dotconnect/oracl ... story.html

There were also a few issues with connections to Oracle 12c server in the Direct mode in several subsequent versions. We recommend you to use the latest version of dotConnect for Oracle.

Post Reply